Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ConfigLoggingHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ConfigLoggingHelper

    public class ConfigLoggingHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ConfigLoggingHelper()`

Method Summary
`String` | `getDatePattern()`
`String` | `getDefaultLogLevelBox()`
`String` | `getLogFilePattern()`
`String` | `getLogLevelTable()`
`String` | `getMaxFileSize()`
`String` | `getNewClassBox()` All the classes the log manager knows about, except ones that already have overrides
`String` | `getRecordPattern()`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _x, ngettext, setContextId, storeWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigLoggingHelper

    public ConfigLoggingHelper()

Method Detail

### getLogFilePattern

    public String getLogFilePattern()

### getRecordPattern

    public String getRecordPattern()

### getDatePattern

    public String getDatePattern()

### getMaxFileSize

    public String getMaxFileSize()

### getLogLevelTable

    public String getLogLevelTable()

### getDefaultLogLevelBox

    public String getDefaultLogLevelBox()

### getNewClassBox

    public String getNewClassBox()

  All the classes the log manager knows about, except ones that already have overrides

  Since:
    0.8.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD